co.aikar.commands

## Class VelocityRootCommand

- java.lang.Object
- - co.aikar.commands.VelocityRootCommand

All Implemented Interfaces:
  co.aikar.commands.RootCommand, com.velocitypowered.api.command.Command

    public class VelocityRootCommand
    extends Object
    implements com.velocitypowered.api.command.Command, co.aikar.commands.RootCommand

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChild(co.aikar.commands.BaseCommand command)`
`void` `execute(com.velocitypowered.api.command.CommandSource source, String[] args)`
`List<co.aikar.commands.BaseCommand>` `getChildren()`
`String` `getCommandName()`
`co.aikar.commands.BaseCommand` `getDefCommand()`
`co.aikar.commands.CommandManager` `getManager()`
`com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand>` `getSubCommands()`
`List<String>` `suggest(com.velocitypowered.api.command.CommandSource source, String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.velocitypowered.api.command.Command

`hasPermission`

### Methods inherited from interface co.aikar.commands.RootCommand

`addChildShared, execute, getBaseCommand, getDefaultRegisteredCommand, getDescription, getTabCompletions, getTabCompletions, getTabCompletions, getUniquePermission, getUsage, hasAnyPermission`

### Method Detail

#### getCommandName

    public String getCommandName()

Specified by:
  `getCommandName` in interface `co.aikar.commands.RootCommand`

#### addChild

    public void addChild(co.aikar.commands.BaseCommand command)

Specified by:
  `addChild` in interface `co.aikar.commands.RootCommand`

#### getManager

    public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.RootCommand`

#### getSubCommands

    public com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand> getSubCommands()

Specified by:
  `getSubCommands` in interface `co.aikar.commands.RootCommand`

#### getChildren

    public List<co.aikar.commands.BaseCommand> getChildren()

Specified by:
  `getChildren` in interface `co.aikar.commands.RootCommand`

#### execute

    public void execute(com.velocitypowered.api.command.CommandSource source,
                        String[] args)

Specified by:
  `execute` in interface `com.velocitypowered.api.command.Command`

#### suggest

    public List<String> suggest(com.velocitypowered.api.command.CommandSource source,
                                String[] args)

Specified by:
  `suggest` in interface `com.velocitypowered.api.command.Command`

#### getDefCommand

    public co.aikar.commands.BaseCommand getDefCommand()

Specified by:
  `getDefCommand` in interface `co.aikar.commands.RootCommand`